com.r3corda.contracts / InterestRateSwap / Clause / Timestamped

# Timestamped

`class Timestamped : SingleClause`

### Constructors

<init> | `Timestamped()`

### Inherited Properties

ifMatched | `open val ifMatched: MatchBehaviour` Behaviour if this clause is not matches
ifNotMatched | `open val ifNotMatched: MatchBehaviour` Behaviour if this clause is matched
requiredCommands | `open val requiredCommands: Set<Class<out CommandData>>` Classes for commands which must ALL be present in transaction for this clause to be triggered

### Functions

verify | `fun verify(tx: TransactionForContract, commands: Collection<AuthenticatedObject<CommandData>>): Set<CommandData>` Verify the transaction matches the conditions from this clause. For example, a "no zero amount output" clause would check each of the output states that it applies to, looking for a zero amount, and throw IllegalStateException if any matched.